Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class AddressTypeBase

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.AddressTypeBase

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AddressType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class AddressTypeBase extends Object implements Serializable

Java class for addressTypeBase complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="addressTypeBase">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded" minOccurs="0"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-ADDRESS" maxOccurs="unbounded" minOccurs="0"/>
             <element name="country" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}countryType" minOccurs="0"/>
             <element name="zip" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="nis" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="city" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="district" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="street" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="housenumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="postboxnumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressTypeBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<CDADDRESS>`
  `getCds()`
  to specify the type of address (home, work,...) Gets the value of the cds property.
  `String`
  `getCity()`
  Gets the value of the city property.
  `CountryType`
  `getCountry()`
  Gets the value of the country property.
  `String`
  `getDistrict()`
  District identification for the cities of Antwerpen-Anvers and Doornik-Tournai.
  `String`
  `getHousenumber()`
  Gets the value of the housenumber property.
  `List<IDKMEHR>`
  `getIds()`
  Gets the value of the ids property.
  `String`
  `getNis()`
  NumÃ©ro d'identification statistique
  `String`
  `getPostboxnumber()`
  Gets the value of the postboxnumber property.
  `String`
  `getStreet()`
  Gets the value of the street property.
  `List<TextType>`
  `getTexts()`
  Gets the value of the texts property.
  `String`
  `getZip()`
  Gets the value of the zip property.
  `void`
  `setCity(String value)`
  Sets the value of the city property.
  `void`
  `setCountry(CountryType value)`
  Sets the value of the country property.
  `void`
  `setDistrict(String value)`
  Sets the value of the district property.
  `void`
  `setHousenumber(String value)`
  Sets the value of the housenumber property.
  `void`
  `setNis(String value)`
  Sets the value of the nis property.
  `void`
  `setPostboxnumber(String value)`
  Sets the value of the postboxnumber property.
  `void`
  `setStreet(String value)`
  Sets the value of the street property.
  `void`
  `setZip(String value)`
  Sets the value of the zip property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddressTypeBase

    public AddressTypeBase()

- ## Method Details

  - ### getIds

    public List<IDKMEHR> getIds()
    Gets the value of the ids property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

    For example, to add a new item, do as follows:

         getIds().add(newItem);

    Objects of the following type(s) are allowed in the list `IDKMEHR`

    Returns:
      The value of the ids property.

  - ### getCds

    public List<CDADDRESS> getCds()
    to specify the type of address (home, work,...) Gets the value of the cds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

    For example, to add a new item, do as follows:

         getCds().add(newItem);

    Objects of the following type(s) are allowed in the list `CDADDRESS`

    Returns:
      The value of the cds property.

  - ### getCountry

    public CountryType getCountry()
    Gets the value of the country property.
    Returns:
      possible object is `CountryType`

  - ### setCountry

    public void setCountry(CountryType value)
    Sets the value of the country property.
    Parameters:
      `value` - allowed object is `CountryType`

  - ### getZip

    public String getZip()
    Gets the value of the zip property.
    Returns:
      possible object is `String`

  - ### setZip

    public void setZip(String value)
    Sets the value of the zip property.
    Parameters:
      `value` - allowed object is `String`

  - ### getNis

    public String getNis()
    NumÃ©ro d'identification statistique
    Returns:
      possible object is `String`

  - ### setNis

    public void setNis(String value)
    Sets the value of the nis property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getNis()`

  - ### getCity

    public String getCity()
    Gets the value of the city property.
    Returns:
      possible object is `String`

  - ### setCity

    public void setCity(String value)
    Sets the value of the city property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDistrict

    public String getDistrict()
    District identification for the cities of Antwerpen-Anvers and Doornik-Tournai.
    Returns:
      possible object is `String`

  - ### setDistrict

    public void setDistrict(String value)
    Sets the value of the district property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDistrict()`

  - ### getStreet

    public String getStreet()
    Gets the value of the street property.
    Returns:
      possible object is `String`

  - ### setStreet

    public void setStreet(String value)
    Sets the value of the street property.
    Parameters:
      `value` - allowed object is `String`

  - ### getHousenumber

    public String getHousenumber()
    Gets the value of the housenumber property.
    Returns:
      possible object is `String`

  - ### setHousenumber

    public void setHousenumber(String value)
    Sets the value of the housenumber property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPostboxnumber

    public String getPostboxnumber()
    Gets the value of the postboxnumber property.
    Returns:
      possible object is `String`

  - ### setPostboxnumber

    public void setPostboxnumber(String value)
    Sets the value of the postboxnumber property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTexts

    public List<TextType> getTexts()
    Gets the value of the texts property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the texts property.

    For example, to add a new item, do as follows:

         getTexts().add(newItem);

    Objects of the following type(s) are allowed in the list `TextType`

    Returns:
      The value of the texts property.